<template>
    <div id="friends-list">
        <ul>
            <li v-for="(friend, index) in props.friends" :key="index" @click="() => { emit('change-friend', friend) }"
                :class="{ selected: friend === props.selectedFriend }">
                <UserCard :email="friend" />
            </li>
        </ul>
    </div>
</template>
<script setup lang="ts">
import UserCard from './UserCard.vue';
interface Props {
    friends: String[],
    selectedFriend: String
}
const props = defineProps<Props>()
const emit = defineEmits(['change-friend']);
</script>
<style scoped lang="scss">
#friends-list {
    ul {
        list-style-type: none;
        cursor: pointer;

        li {
            margin: 2px;
            filter: opacity(.5);
            &.selected {
                text-decoration: underline;
                filter: opacity(1);    
            }
        }
    }
}
</style>